Subject: Re: Bug#285: [X2Go-Dev] Bug#285: keyboard layout selected in x2go client isn't applied to the session

From: "Maciej S. Szmigiero" <[email-masked]>
Date: Mon, 05 Aug 2013 13:13:50 +0200

Hello Mike,

Thanks for a quick look, see also comments below, inlined.

W dniu 05.08.2013 12:16, Mike Gabriel pisze: 
> Hi Maciej,
> 
> I have taken a look at this issue this morning and I think in some parts you are right, in some parts you are wrong.
> 
> On Mo 05 Aug 2013 01:45:45 CEST "Maciej S. Szmigiero" wrote:
> 
(..)
> x2gostartagent: here I do not see an issue. Not that in X2Go Server there are three ways to set up your keyboard:
> 
>   1) no setup at all (setxkb=false in sessions file)
>   2) setup a specific setup (e.g. type=pc105/us, layout=us)
>   3) automatic setup (-> type=auto, layout=)
> 
> The server-side script ,,x2gosetkeyboard'' is only used for 3).
> 
> The keyboard setup for 2) is managed from the client side by issuing setxkbmap commands via the open SSH channel.

I've grepped x2goclient-4.0.1.0 sources and found only setxkbmap call on client side (via "QProcess::startDetached").

There is also remote xmodmap call on Maemo, but it only remaps two keys.

> On x2gostartagent, everything (after testing with PyHoca-GUI and X2Go Client) works as expected.

Unfortunately not for me (that's why I looked into this issue).

(..)
> For x2goresume-session, however, you dug out a minor issue. This issue has been fixed now, see the automatic follow-up mail which will point you to the code change in X2Go Git.

Thanks.
 
> Thanks for contributing to X2Go,
> Mike

Thanks and best regards,
Maciej Szmigiero